Scientific Linux Security Update : xpdf on SL3.x, SL4.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.

Synopsis :

The remote Scientific Linux host is missing a security update.

Description :

CVE-2009-0791 xpdf: multiple integer overflows

CVE-2009-1188 xpdf/poppler: SplashBitmap integer overflow

CVE-2009-3608 xpdf/poppler: integer overflow in
ObjectStream::ObjectStream (oCERT-2009-016)

CVE-2009-3606 xpdf/poppler: PSOutputDev::doImageL1Sep integer overflow

CVE-2009-3609 xpdf/poppler: ImageStream::ImageStream integer overflow

CVE-2009-3604 xpdf/poppler: Splash::drawImage integer overflow and
missing allocation return value check

Multiple integer overflow flaws were found in Xpdf. An attacker could
create a malicious PDF file that would cause Xpdf to crash or,
potentially, execute arbitrary code when opened. (CVE-2009-0791,

CVE-2009-1188, CVE-2009-3604, CVE-2009-3606, CVE-2009-3608,

See also :

Solution :

Update the affected xpdf package.

Risk factor :

High / CVSS Base Score : 9.3

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60681 ()

Bugtraq ID:

CVE ID: CVE-2009-0791